#### Previous topic

scipy.special.gdtrib

#### Next topic

scipy.special.nbdtr

# scipy.special.gdtrix

`scipy.special.``gdtrix`(a, b, p, out=None) = <ufunc 'gdtrix'>

  Inverse of `gdtr` vs x.

  Returns the inverse with respect to the parameter x of `p = gdtr(a, b, x)`, the cumulative distribution function of the gamma distribution. This is also known as the p’th quantile of the distribution.

  Parameters:

  a : array_like

  > a parameter values of gdtr(a, b, x). 1/a is the “scale” parameter of the gamma distribution.

  b : array_like

  > b parameter values of gdtr(a, b, x). b is the “shape” parameter of the gamma distribution.

  p : array_like

  > Probability values.

  out : ndarray, optional

  > If a fourth argument is given, it must be a numpy.ndarray whose size matches the broadcast result of a, b and x. out is then the array returned by the function.

  Returns:

  x : ndarray

  > Values of the x parameter such that p = gdtr(a, b, x).

  See also

  `gdtr`
    CDF of the gamma distribution.
  `gdtria`
    Inverse with respect to a of gdtr(a, b, x).
  `gdtrib`
    Inverse with respect to b of gdtr(a, b, x).

  Examples

  First evaluate `gdtr`.

      >>> from scipy.special import gdtr, gdtrix
      >>> p = gdtr(1.2, 3.4, 5.6)
      >>> print(p)
      0.94378087442

  Verify the inverse.

      >>> gdtrix(1.2, 3.4, p)
      5.5999999999999996